public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Patrice Clement" <monsieurp@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/pipenv/
Date: Wed, 11 Nov 2020 21:26:59 +0000 (UTC)	[thread overview]
Message-ID: <1605129999.b5a4470582c02d92f494de00bcd1c256528fbd9e.monsieurp@gentoo> (raw)

commit:     b5a4470582c02d92f494de00bcd1c256528fbd9e
Author:     Oz N Tiram <oz.tiram <AT> gmail <DOT> com>
AuthorDate: Sun Nov  8 17:59:06 2020 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Wed Nov 11 21:26:39 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b5a44705

dev-python/pipenv: bump version to 2020.11.4.

Also, improve dependency declarations.

Closes: https://bugs.gentoo.org/748138
Package-Manager: Portage-3.0.8, Repoman-3.0.2
Signed-off-by: Oz Tiram <oz.tiram <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/18187
Signed-off-by: Patrice Clement <monsieurp <AT> gentoo.org>

 dev-python/pipenv/Manifest                |  1 +
 dev-python/pipenv/pipenv-2020.11.4.ebuild | 52 +++++++++++++++++++++++++++++++
 2 files changed, 53 insertions(+)

diff --git a/dev-python/pipenv/Manifest b/dev-python/pipenv/Manifest
index 0d32f4ddc0d..a5728565415 100644
--- a/dev-python/pipenv/Manifest
+++ b/dev-python/pipenv/Manifest
@@ -1 +1,2 @@
+DIST pipenv-2020.11.4.tar.gz 11574683 BLAKE2B cb2ac4ba6b07377a3a5540b23756afac38a02691e495ba93031815417d001701b919221fd83d0f9e6b94d4f28c1fa754c2c31e289830305a8c8ac75d847209c4 SHA512 c9015eb9a449fa517f31619d1fec5d99882da915a50e189ba6ab9c7c147862f9734f0df200330d666380afe5d2cf52d18015c539635ca6459042ab50d3ccd059
 DIST pipenv-2020.8.13.tar.gz 11573493 BLAKE2B ac6c6f0336f0c675f73fbecfdefe158eb2a53b5aa4559850b3c9a050404d9d18b0ff2ca3cb62031da027937244a6bbb0d4c1ec433073e429518ec0ea908cb12e SHA512 90ccaf386bc68d856ee9c645084cb65c4213902a8c87e2059cc2274b88d922c3b02c58c15d05945e1f61e8b816ef92a11672cadaf125143bd5019ab25ff0b19e

diff --git a/dev-python/pipenv/pipenv-2020.11.4.ebuild b/dev-python/pipenv/pipenv-2020.11.4.ebuild
new file mode 100644
index 00000000000..7dbeba42f1d
--- /dev/null
+++ b/dev-python/pipenv/pipenv-2020.11.4.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_6 python3_7 python3_8 )
+
+inherit distutils-r1
+
+MY_PV=${PV/_beta/b}
+DESCRIPTION="Python Development Workflow for Humans"
+HOMEPAGE="https://github.com/pypa/pipenv https://pypi.org/project/pipenv/"
+SRC_URI="https://github.com/pypa/pipenv/archive/v${MY_PV}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}"/${PN}-${MY_PV}
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+	${PYTHON_DEPS}
+	dev-python/certifi[${PYTHON_USEDEP}]
+	dev-python/pip[${PYTHON_USEDEP}]
+	>=dev-python/virtualenv-20.0.35[${PYTHON_USEDEP}]
+	dev-python/virtualenv-clone[${PYTHON_USEDEP}]
+	"
+
+BDEPEND="
+	${RDEPEND}
+	test? (
+		dev-python/flaky[${PYTHON_USEDEP}]
+		dev-python/mock[${PYTHON_USEDEP}]
+		<dev-python/pytest-5[${PYTHON_USEDEP}]
+		dev-python/pytz[${PYTHON_USEDEP}]
+	)"
+
+src_prepare() {
+	# remove vendored version of PyYAML that is backported to Python2
+	# this should be removed when upstream removes support for Python2
+	rm -vR "${S}/${PN}/patched/yaml2/" || die
+	# disable running of unittests in parallel with xdist
+	sed -i 's/addopts = -ra -n auto/;&/g' setup.cfg || die
+	sed -i 's/plugins = xdist/;&/g' setup.cfg || die
+	distutils-r1_src_prepare
+}
+
+python_test() {
+	pytest -vvv -x -m "not cli and not needs_internet" tests/unit/ || die
+}


             reply	other threads:[~2020-11-11 21:27 UTC|newest]

Thread overview: 69+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-11-11 21:26 Patrice Clement [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-10-12  7:28 [gentoo-commits] repo/gentoo:master commit in: dev-python/pipenv/ Michał Górny
2024-10-12  7:04 Michał Górny
2024-09-27  5:57 Eli Schwartz
2024-09-27  5:57 Eli Schwartz
2024-08-17  7:39 Michał Górny
2024-08-15  5:44 Joonas Niilola
2024-07-13  7:35 Joonas Niilola
2024-04-22 10:58 Michał Górny
2024-03-13  0:54 Sam James
2024-03-12 15:43 Michał Górny
2024-03-12 15:43 Michał Górny
2024-01-06 14:08 Michał Górny
2023-12-30 18:30 Michał Górny
2023-12-15 15:33 Jakov Smolić
2023-12-13 10:10 Andrew Ammerlaan
2023-12-03  8:39 Andrew Ammerlaan
2023-12-03  8:39 Andrew Ammerlaan
2023-12-02 19:31 Jakov Smolić
2023-10-27  3:27 Sam James
2023-09-16  7:57 Joonas Niilola
2023-09-16  7:57 Joonas Niilola
2023-09-16  7:57 Joonas Niilola
2023-09-16  7:57 Joonas Niilola
2023-05-21  5:43 Sam James
2023-01-20 14:01 Joonas Niilola
2022-12-24  7:03 Sam James
2022-11-14  4:44 Michał Górny
2022-10-09 16:34 Joonas Niilola
2022-10-09 16:34 Joonas Niilola
2022-10-09 16:34 Joonas Niilola
2022-10-02 18:54 Arthur Zamarin
2022-10-02 18:54 Arthur Zamarin
2022-09-09  7:23 Arthur Zamarin
2022-09-09  7:23 Arthur Zamarin
2022-07-05  8:52 Joonas Niilola
2022-06-16  8:08 Michał Górny
2022-06-07 18:56 Arthur Zamarin
2022-05-25 17:11 Patrick McLean
2022-05-24 21:52 Patrick McLean
2022-04-19  5:56 Arthur Zamarin
2022-03-30 11:25 Jakov Smolić
2022-01-19 13:44 Jakov Smolić
2022-01-18 12:36 Sam James
2022-01-09  1:23 Sam James
2021-10-17  9:13 Michał Górny
2021-08-18 13:33 Joonas Niilola
2021-06-01  0:28 Sam James
2021-06-01  0:28 Sam James
2021-02-27 21:07 Sam James
2020-12-13 10:44 Joonas Niilola
2020-12-13 10:44 Joonas Niilola
2020-10-12 12:39 Joonas Niilola
2020-07-27 13:14 Michał Górny
2020-07-27 13:11 Michał Górny
2020-07-27 13:11 Michał Górny
2020-07-27 13:11 Michał Górny
2020-04-16  8:38 Michał Górny
2020-04-16  8:38 Michał Górny
2020-03-28 11:59 Michał Górny
2019-12-16 13:48 Sebastian Pipping
2018-11-10 14:25 Justin Lecher
2018-08-06 19:41 Patrick Lauer
2018-02-01  8:47 Michał Górny
2018-02-01  8:47 Michał Górny
2017-12-09 15:04 Justin Lecher
2017-12-02 20:51 Justin Lecher
2017-12-02 20:09 Justin Lecher
2017-12-02 17:27 Justin Lecher

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1605129999.b5a4470582c02d92f494de00bcd1c256528fbd9e.monsieurp@gentoo \
    --to=monsieurp@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox